# [GNSS-SDR Website](https://gnss-sdr.org)

[![License: CC BY 4.0](https://img.shields.io/badge/License-CC%20BY%204.0-blue.svg)](https://creativecommons.org/licenses/by/4.0/)
[![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-2.1-4baaaa.svg)](CODE_OF_CONDUCT.md)

This repository contains the source code from which [https://gnss-sdr.org](https://gnss-sdr.org) is generated by GitHub.

![GeNiuSS](./assets/images/geniuss-small.png)

... and this is GeNiuSS. You will see him here and there.

---

## Credits

### Theme

- [Minimal Mistakes](https://mmistakes.github.io/minimal-mistakes/)

According to the name and the quality of the theme this website is based upon, all mistakes are from our side.


### Math

- Beautiful equations are displayed thanks to [MathJax](https://www.mathjax.org/), a javascript library that uses the TeX algorithms and fonts to display math formulas on HTML pages.

### Icons

- [Font Awesome](https://fontawesome.com/).
- [Academicons](https://jpswalsh.github.io/academicons/).
- Icons made by [Butterflytronics](https://www.flaticon.com/authors/butterflytronics), [SimpleIcon](https://www.flaticon.com/authors/simpleicon) and [Freepik](https://www.freepik.com) from [Flaticon](https://www.flaticon.com) are licensed by [CC 3.0 BY](https://creativecommons.org/licenses/by/3.0/).


### Font

- In most browsers and devices, this website is seen with [Ovo](https://fonts.google.com/specimen/Ovo?query=ovo), a font inspired by a set of hand lettered caps seen in a 1930's lettering guide.


### Other

- [Jekyll](https://jekyllrb.com/)
- [jQuery](https://jquery.com/)
- [Susy](https://oddbird.net/susy/)
- [Breakpoint](http://breakpoint-sass.com/)
- [Magnific Popup](https://dimsemenov.com/plugins/magnific-popup/)
- [FitVids.JS](http://fitvidsjs.com/)
- [Smooth Scroll](https://github.com/cferdinandi/smooth-scroll)
- [Gumshoe](https://github.com/cferdinandi/gumshoe)
- [jQuery throttle / debounce](https://benalman.com/projects/jquery-throttle-debounce-plugin/)
- [Sass](https://sass-lang.com/)
- [Cookie Consent](https://github.com/osano/cookieconsent)
- Web search service provided by [Google Search Engine](https://cse.google.com/cse)

---

## Contributing

Found a typo in this website? Interested in adding documentation of new a feature or a website enhancement? Please check out the [contributing guidelines](CONTRIBUTING.md). This project adheres to the Contributor Covenant [Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code.



---


## License

&copy; Carles Fern&aacute;ndez-Prades, 2016 - 2022

This work is released under the Creative Commons Attribution 4.0 International ([CC BY 4.0](https://creativecommons.org/licenses/by/4.0/legalcode)) license.

This means:

**You are free to**:
* **Share**: copy and redistribute the material in any medium or format.
* **Adapt**: remix, transform, and build upon the material for any purpose, even commercially.

The licensor cannot revoke these freedoms as long as you follow the license terms.


**Under the following terms**:
* **Attribution**: You must give appropriate credit, provide a link to the license, and indicate if changes were made. You may do so in any reasonable manner, but not in any way that suggests the licensor endorses you or your use.


**No additional restrictions**. You may not apply legal terms or technological measures that legally restrict others from doing anything the license permits.

This work incorporates [Minimal Mistakes](https://github.com/mmistakes/minimal-mistakes),
Copyright &copy; 2013-2021 Michael Rose and contributors.
With modifications: &copy; 2016-2021 Carles Fern&aacute;ndez-Prades.
Minimal Mistakes is distributed under the terms of the [MIT License](https://opensource.org/licenses/MIT).

This work incorporates icons from [The Noun Project](https://thenounproject.com/).
Authors: Garrett Knoll, Arthur Shlain, and tracy tam.
Icons are distributed under Creative Commons Attribution 3.0 United States ([CC BY 3.0 US](https://creativecommons.org/licenses/by/3.0/us/)).

This work incorporates icons from [Flaticon](https://www.flaticon.com).
Authors: [Butterflytronics](https://www.flaticon.com/authors/butterflytronics), [SimpleIcon](https://www.flaticon.com/authors/simpleicon) and [Freepik](https://www.freepik.com).
Icons are distributed under Creative Commons Attribution 3.0 ([CC BY 3.0](https://creativecommons.org/licenses/by/3.0/legalcode)).

This work incorporates GeNiuSS, a character created by Carlos Paniego.
Copyright &copy; 2012, Carlos Paniego. All rights reserved.

This work incorporates [Font Awesome](https://fontawesome.com/),
Copyright &copy; 2017 Dave Gandy.
Font Awesome is distributed under the terms of the [SIL OFL 1.1](https://scripts.sil.org/OFL) and [MIT License](https://opensource.org/licenses/MIT).

This work incorporates [Academicons](https://jpswalsh.github.io/academicons/),
Copyright &copy; 2017 James Walsh.
Academicons is distributed under the terms of the [SIL OFL 1.1](https://scripts.sil.org/OFL) and [MIT License](https://opensource.org/licenses/MIT).

This work incorporates [Susy](https://oddbird.net/susy/),
Copyright &copy; 2017, Miriam Eric Suzanne.
Susy is distributed under the terms of the [BSD 3-clause "New" or "Revised" License](https://opensource.org/licenses/BSD-3-Clause).

This work incorporates [Breakpoint](http://breakpoint-sass.com/).
Breakpoint is distributed under the terms of the [MIT/GPL Licenses](https://opensource.org/licenses/MIT).

This work incorporates [FitVids.js](https://github.com/davatron5000/FitVids.js/),
Copyright &copy; 2013 Dave Rubert and Chris Coyier.
FitVids is distributed under the terms of the [WTFPL License](http://www.wtfpl.net/).

This work incorporates [Magnific Popup](https://dimsemenov.com/plugins/magnific-popup/),
Copyright &copy; 2014-2016 Dmitry Semenov, https://dimsemenov.com/.
Magnific Popup is distributed under the terms of the [MIT License](https://opensource.org/licenses/MIT).

This work incorporates [Smooth Scroll](https://github.com/cferdinandi/smooth-scroll),
Copyright &copy; 2020 Chris Ferdinandi.
Smooth Scroll is distributed under the terms of the [MIT License](https://opensource.org/licenses/MIT).

This work incorporates [Gumshoe](https://github.com/cferdinandi/gumshoe),
Copyright &copy; 2016 Chris Ferdinandi.
Gumshoe is distributed under the terms of the [MIT License](https://opensource.org/licenses/MIT).

This work incorporates [jQuery throttle / debounce](http://benalman.com/projects/jquery-throttle-debounce-plugin/),
Copyright &copy; 2010 "Cowboy" Ben Alman.
jQuery throttle / debounce is distributed under the terms of the [MIT License](https://opensource.org/licenses/MIT).

This work incorporates [GreedyNav.js](https://github.com/lukejacksonn/GreedyNav),
Copyright &copy; 2015 Luke Jackson.
GreedyNav.js is distributed under the terms of the [MIT License](https://opensource.org/licenses/MIT).

This work incorporates [Jekyll Group-By-Array](https://github.com/mushishi78/jekyll-group-by-array),
Copyright &copy; 2015 Max White <mushishi78@gmail.com>.
Jekyll Group-By-Array is distributed under the terms of the [MIT License](https://opensource.org/licenses/MIT).

This work incorporates [@allejo's Pure Liquid Jekyll Table of Contents](https://allejo.io/blog/a-jekyll-toc-without-plugins-or-javascript/),
Copyright &copy; 2017 Vladimir Jimenez.
Pure Liquid Jekyll Table of Contents is distributed under the terms of the [MIT License](https://opensource.org/licenses/MIT).

This work incorporates code from [iBug-source](https://github.com/iBug/iBug-source),
Copyright &copy; 2020-2021 iBug <git@ibugone.com>.
iBug-source is distributed under the terms of the Creative Commons Attribution-ShareAlike 4.0 International Public License ([CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/)).
