---
title: "16.- Usability"
permalink: /design-forces/usability/
excerpt:
  "The degree to which a software can be used by specified consumers to achieve
  quantified objectives with efficiency and satisfaction in a given context of
  use."
header:
  teaser: /assets/images/radar-chart.png
last_modified_at: 2016-07-29T15:54:02-04:00
---

It refers to the degree to which a software can be used by specified consumers
to achieve quantified objectives with effectiveness, efficiency, and
satisfaction in a quantified context of use.

## Indicators of Usability

It follows a list of possible usability indicators for a software-defined GNSS
receiver:

- Availability of a (versioned) User Manual.
- Availability of a (versioned and documented) application programming interface
  (API).
- Availability of graphical user interface.
- Availability of accessibility mechanisms for users who experience
  disabilities.
- Availability of mechanisms for remote operation.
- Availability of interfaces with other programming languages.
- Availability of user documentation: tutorials, detailed _howtos_, user
  stories, etc.

For the project, product, or service in which the software receiver has a role:

- Website of project, product, or service.
- Availability of professional help desk support services.
- Availability of communication channels with other users and the development
  team.
  - Public mailing list.
  - Presence in public IRC channels.
  - Presence in social networks.

For the computing platform executing the software receiver:

- For physical devices:
  - Computer form factor, shape, size, and weight.
  - Power consumption / battery autonomy.
  - Degrees of protection from solid objects and liquids, given by the
    [Ingress Protection](https://en.wikipedia.org/wiki/IP_Code) rating system.
    Examples:
    - IP65: protection from dust and from low-pressure jets of water in all
      directions. Limited water ingress permitted.
    - IP67: protection from dust and against the effects of immersion in water
      to depth between 15 cm and 1 meter.
  - Temperature / humidity / vibration operative ranges.

- For cloud-based services:
  - Input/output data throughput requirements.
  - Computational and memory bandwidth requirements.
  - Connection to third parties in case of assisted or differential GNSS.
