---
title: "Make your own GNSS receiver"
excerpt: "Designs of enclosures for you gear that you can print in 3D."
permalink: /enclosures/
comments: true
header:
  image: /assets/images/usrp-enclosure-header.jpg
  teaser: /assets/images/usrp-enclosure-header.jpg
  image_description: "Enclosure done with a 3D printer"
sidebar:
    nav: "geniuss-place"
---

The _maker movement_ is a trend in which people employ do-it-yourself (DIY) and
do-it-with-others (DIWO) techniques and processes to develop unique technology
products. This culture emphasizes learning-through-doing in a social
environment, and thus it has spurred the creation of "maker spaces" and [Fab
Labs](https://en.wikipedia.org/wiki/Fab_lab) (open, small-scale workshops with
computer-controlled tools and flexible manufacturing equipment such as 3D
printers, CNC machines, electronic benches, PCB milling and etching tools, etc.)
around the World. Those are spaces where people share ideas, tools, and
skillsets, creating an environment that encourages novel applications of
technologies and the exploration of intersections between traditionally separate
domains while developing a _just-try-it_ mentality through rapid prototyping and
iteration.

  A free and open-source software-defined GNSS receiver constitutes an excellent
  opportunity to exercise product design processes and methodologies.
  {: .notice--info}


![Coming soon]({{ "/assets/images/coming-soon.jpg" | relative_url }}){: .align-center}

## Stereolitography example:

<script src="https://embed.github.com/view/3d/hectorbu/Prueba-2/master/USRP_Version4/USRP_Base1.4.stl">
</script>


<link rel="prerender" href="{{ "/quick-start-guide/" | relative_url }}" />
