---
permalink: /about/
title: "About Us"
author_profile: false
comments: false
excerpt: "General Information about GNSS-SDR."
sidebar:
    nav: "about"
modified: 2022-02-12T16:39:37-04:00
---

<a class="cttc-logo" href="https://www.cttc.cat"><img id="cttc-logo" src="{{ '/assets/images/CTTC_logo.png' | relative_url }}" alt="CTTC logo">

GNSS-SDR is a project hosted and sponsored by the Centre Tecnol&ograve;gic de
Telecomunicacions de Catalunya ([CTTC](https://www.cttc.cat)), a non-profit
research foundation located in Castelldefels ([41.27504 N, 1.98555
E](https://maps.google.com/maps/place?q=cttc&hl=es&cid=7042995388158849575)), 20
km south of Barcelona, Spain.  The software is a by-product of GNSS research
conducted by the [Navigation & Positioning Research
Unit](https://www.cttc.cat/navigation-positioning/) at CTTC, and it is the
combined effort of many students, software engineers and researchers from
different institutions.

<div class="text-center">
<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d5997.1091801719485!2d1.9877100000000003!3d41.275033!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0x61bdbefd79ec3227!2sCentre+Tecnol%C3%B2gic+de+Telecomunicacions+de+Catalunya+(CTTC)!5e0!3m2!1ses!2ses!4v1468193542395" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>
</div>

## Mailing list

There is an open distribution list devoted to discussions related to the development of GNSS-SDR. You can:


[<i class="far fa-envelope fa-lg"></i> Subscribe to GNSS-SDR-developers mailing list](https://sourceforge.net/projects/gnss-sdr/lists/gnss-sdr-developers){: .btn .btn--geniuss .btn--x-large}
{: style="text-align: center;"}

or

[<i class="fas fa-list-ul fa-lg"></i> Check prior postings](https://sourceforge.net/p/gnss-sdr/mailman/gnss-sdr-developers/){: .btn .btn--geniuss .btn--x-large}
{: style="text-align: center;"}



Inquiries beyond the mailing list can be sent to Carles Fern&aacute;ndez-Prades <a href="mailto:carles.fernandez@cttc.cat"><i class="far fa-fw fa-envelope" aria-hidden="true"></i> </a>

See other contact details on our [Team]({{ "/team/" | relative_url }}) page.


## Legal Terms and Conditions

The General Data Protection Regulation (EU) [2016/679](https://eur-lex.europa.eu/eli/reg/2016/679/oj) (GDPR) is a regulation in EU law on data protection and privacy in the European Union (EU) and the European Economic Area (EEA). It also addresses the transfer of personal data outside the EU and EEA areas. The GDPR aims primarily to give control to individuals over their personal data.

The European Data Protection Regulation is applicable as of May 25th, 2018 in all member states to harmonize data privacy laws across Europe.

This website is compliant with the [GDPR](https://gdpr-info.eu/). You can check the details by clicking on the buttons below:

[<i class="fas fa-balance-scale"></i> Legal Notice]({{ "/legal-notice/" | relative_url }}){: .btn .btn--geniuss .btn--x-large}
{: style="text-align: center;"}


[<i class="fas fa-user-secret"></i> Privacy Policy]({{ "/privacy-policy/" | relative_url }}){: .btn .btn--geniuss .btn--x-large}
{: style="text-align: center;"}


[<i class="fas fa-cookie"></i> Cookies]({{ "/cookies/" | relative_url }}){: .btn .btn--geniuss .btn--x-large}
{: style="text-align: center;"}
