---
permalink: /privacy-policy/
title: "Privacy Policy"
author_profile: false
comments: false
excerpt:
  "Privacy Policy information, in compliance with the General Data Protection
  Regulation (EU GDPR)"
header:
  teaser: /assets/images/media.png
sidebar:
    nav: "news"
last_modified_at: 2020-02-20T10:39:37+02:00
---


Confidentiality and security are CTTC's core values and we therefore undertake
to ensure the User's privacy at all times and not to gather any unnecessary
information. Below we provide all the information necessary regarding our
Privacy Policy in relation to the personal data collected, explaining:

 * Who is the processor of your data.
 * The purpose for which we gather the data requested.
 * What is the legitimisation for their processing.
 * The length of time we store the data.
 * Who your data are assigned to.
 * What your rights are.


## Data controller

CENTRE TECNOL&Ograve;GIC DE TELECOMUNICACIONES DE CATALUNYA (G-62616586)
Av. Carl Friedrich Gauss 11 08860 Castelldefels (Barcelona)
[dpo@cttc.cat](mailto:dpo@cttc.cat).

## Purposes, legitimisation and storage of the data

### CONTACT FORM.

**PURPOSE:** To provide the means for contacting us and answering your requests
for information and also to send you information on our products, services and
activities via digital media (Email, SMS, WhatsApp), if you check the acceptance
box.

**LEGITIMISATION:** The user's consent when requesting information via our
contact form and checking the acceptance box for the sending of information.

**RETENTION:** Once your request has been resolved via our form or answered by
email, if no new processing is generated and having accepted receipt of
commercial communications until the user requests their de-registration.


### SENDING OF EMAILS.

**PURPOSE:** To answer your information requests, deal with your requests and
answer any inquiries or doubts.

**LEGITIMISATION:** The user's consent when requesting information via our
email address.

**RETENTION:**  Once your email request has been answered, if no new processing
has been generated.

**OBLIGATION TO PROVIDE YOUR PERSONAL DATA AND THE CONSEQUENCES FOR A FAILURE
TO DO SO.** The supply of personal data requires a minimum age of 14 years, or,
if applicable, sufficient legal capacity to enter into a contract. The personal
data requested are necessary to manage your requests and/or render the services
that can be contracted and therefore any failure to do so signifies we cannot
attend to you correctly nor provide the service requested.

## Recipients of the data
Your data are confidential and will not be transferred to third parties unless
legally required.

## Rights in relation to your personal data
Any person may withdraw their consent at any time after granting it for the
processing of their data. Under no circumstance does withdrawal of consent
affect the execution of the subscription contract or the relations established
previously. Likewise, you may also exercise the following rights:

 * Request access to your personal data or rectification of same when inaccurate.
 * Request their deletion when, amongst other reasons, they are no longer
 necessary for the purpose for which they were governed.
 * Request the limitation of processing in certain circumstances.
 * Request opposition to the processing of your data due to your particular
 situation.
 * Request data portability when so provided in law.
 * Other rights recognised in applicable law.

Where and how to exercise your Rights: By writing to the party concerned at
their postal or electronic address (provided in Data Controller section),
indicating the reference "Personal Data", specifying the right to be exercised
and with regard to which personal data. In the event of any dispute with the
company with regard to the processing of your data you may lodge a claim with
the Data Protection Authority
([apdcat.gencat.cat](https://apdcat.gencat.cat/ca/inici)).

## Cookies
This webpage uses only its own and third-party (Google Analytics) technical,
personalisation and analysis cookies which under no circumstance process
personal data nor capture browsing habits for advertising purposes. As a result,
pursuant to article 22 of the Law on Information Society Services, and as
analysis cookies are used, we have requested your authorisation to use them and
informed you of same, and they will be installed after a reasonable period of
time for the user to have time to decide whether or not to authorise them.

## Security of your personal data
In order to safeguard the security of your personal data, we inform you that we
have adopted all the necessary measures of a technical and organisational nature
to ensure the security of your personal data against alteration, loss and
non-authorised processing and access.

## Updating your data
It is important you inform us whenever there has been any modification so we may
update your personal data; otherwise we cannot be liable for the accuracy of
same. We shall not be liable for the privacy policy regarding the personal data
you may supply to third parties via the links on our webpage. This privacy
policy may be modified to adapt them to any changes on our website together with
any legal or jurisprudential modifications regarding personal data which may
appear, and you are therefore requested to read this policy every time you
supply your data via this Website.
