---
permalink: /publications/
layout: publications
title: "Publications"
excerpt: "List of academic papers in which GNSS-SDR has been described or used for research purposes."
header:
  teaser: /assets/images/books.png
sidebar:
    nav: "about"
last_modified_at: 2022-12-15T12:38:52+00:00
redirect_from:
  - /documentation/publications
---

List of academic papers in which GNSS-SDR has been referenced, described or used for research purposes. If you are aware of other publications not listed here, please [let us know]({{ "/team/" | relative_url }}).

<h3 style="margin-bottom:0px;padding-top:10px;">Articles in peer-reviewed, indexed Journals and Magazines</h3>


<ul class="biblist">
    <!-- Item: Varais23 -->
    <li ><p>
    N.&nbsp;Varais, J.&nbsp;Verdun, J.&nbsp;Cali and L.&nbsp;Lestarquit
    <br><b>Lake Altimetry Using Long Coherent Integration Carrier Phase Measurements from Airborne GNSS Reflectometry</b><br>
    <i>Remote Sensing</i>, Vol. 15, 4192, pp. 1-17, Sept. 2023.
    <br />
    <a href="javascript:toggleBibtex('Varais23')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.mdpi.com/2072-4292/15/17/4192" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.3390/rs15174192" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Varais23" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Varais23,
author  = {N.~Varais and J.~Verdun and J.~Cali and L.~Lestarquit},
title   = {Lake Altimetry Using Long Coherent Integration Carrier Phase Measurements from Airborne {GNSS} Reflectometry},
journal = {Remote Sensing},
year    = {2023},
month   = {Sep},
volume  = {15},
number  = {4192},
pages   = {1--17},
note    = { {doi}: 10.3390/rs15174192}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Srinu23 -->
    <li ><p>
    C.&nbsp;Srinu and P.&nbsp;Parayitam
    <br><b>Performance of GNSS-SDR for IRNSS L5 signals using a low-cost RF front-end</b><br>
    <i>Navigation</i>, Vol. 70, No. 2, pp. 1-26, June 2023.
    <br />
    <a href="javascript:toggleBibtex('Srinu23')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://navi.ion.org/content/70/2/navi.573" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/navi.573" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Srinu23" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Srinu23,
author  = {C.~Srinu and P.~Parayitam},
title   = {Performance of {GNSS-SDR} for {IRNSS} {L5} signals using a low-cost {RF} front-end},
journal = {Navigation},
year    = {2023},
month   = {June},
volume  = {70},
number  = {2},
pages   = {1--26},
note    = { {doi}: 10.33012/navi.573}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Stenberg22 -->
    <li ><p>
    N.&nbsp;Stenberg, E.&nbsp;Axell, J.&nbsp;Rantakokko and G.&nbsp;Hendeby
    <br><b>Results on GNSS Spoofing Mitigation Using Multiple Receivers</b><br>
    <i>Navigation</i>, Vol. 69, No. 1, pp. 1-29, Spring&nbsp;2022.
    <br />
    <a href="javascript:toggleBibtex('Stenberg22')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=102947" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/navi.510" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Stenberg22" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Stenberg22,
author  = {N.~Stenberg and E.~Axell and J.~Rantakokko and G.~Hendeby},
title   = {Results on {GNSS} Spoofing Mitigation Using Multiple Receivers},
journal = {Navigation},
year    = {2022},
volume  = {69},
number  = {1},
pages   = {1--29},
note    = { {doi}: 10.33012/navi.510}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Krafczyk21 -->
    <li ><p>
    M.&nbsp;S.&nbsp;Krafczyk, A.&nbsp;Shi, A.&nbsp;Bhaskar, D.&nbsp;Marinov and V.&nbsp;Stodden
    <br><b>Learning from reproducing computational results: introducing three principles and the <i>Reproduction Package</i></b><br>
<i>Philosophical Transactions of the Royal Society A</i>, 379, 20200069, Mar.&nbsp;2021.
    <br />
    <a href="javascript:toggleBibtex('Krafczyk21')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://royalsocietypublishing.org/doi/pdf/10.1098/rsta.2020.0069" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.1098/rsta.2020.0069" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Krafczyk21" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Krafczyk21,
author  = {M.~S.~Krafczyk and A.~Shi and A.~Bhaskar, D.~Marinov and V.~Stodden},
title   = {Learning from reproducing computational results: introducing three principles and the {R}eproduction {P}ackage},
journal = {Phil. Trans. R. Soc. A},
year    = {2021},
month   = {Mar.},
volume  = {379},
number  = {20200069},
pages   = {1--28},
note    = { {doi}: 10.1098/rsta.2020.0069}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Feng21 -->
    <li ><p>
    W.&nbsp;Feng, J.-M.&nbsp;Friedt, G.&nbsp;Goavec-Merou and F.&nbsp;Meyer
    <br><b>Software-Defined Radio Implemented GPS Spoofing and Its Computationally Efficient Detection and Suppression</b><br>
<i>IEEE Aerospace and Electronic Systems Magazine </i>, Vol. 36, No. 3, pp. 36-52, Mar.&nbsp;2021.
    <br />
    <a href="javascript:toggleBibtex('Feng21')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/9374670" >Online</a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="http://jmfriedt.free.fr/Main_new_two_antennas.pdf" ><i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.1109/MAES.2020.3040491" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Feng21" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Feng21,
author  = {W.~Feng and J.-M.~Friedt and G.~{Goavec-Merou} and F.~Meyer},
title   = {Software-Defined Radio Implemented {GPS} Spoofing and Its Computationally Efficient Detection and Suppression},
journal = {IEEE Aerospace and Electronic Systems Magazine},
year    = {2021},
month   = {Mar.},
volume  = {36},
number  = {3},
pages   = {36--52},
note    = { {doi}: 10.1109/MAES.2020.3040491}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Watson20 -->
    <li ><p>
    R.&nbsp;M.&nbsp;Watson, J.&nbsp;N.&nbsp;Gross, C.&nbsp;N.&nbsp;Taylor and R.&nbsp;C.&nbsp;Leishman
    <br><b>Robust Incremental State Estimation Through Covariance Adaptation</b><br>
<i>IEEE Robotics and Automation Letters</i>, Vol. 5, No. 2, pp. 3737-3744, Apr.&nbsp;2020.
    <br />
    <a href="javascript:toggleBibtex('Watson20')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/9028253/" >Online</a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.1109/LRA.2020.2979655" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Watson20" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Watson20,
author  = {R.~M.~Watson and J.~N.~Gross and C.~N.~Taylor and R.~C.~Leishman},
title   = {Robust Incremental State Estimation Through Covariance Adaptation},
journal = {IEEE Robotics and Automation Letters},
year    = {2020},
month   = {Apr.},
volume  = {5},
number  = {2},
pages   = {3737--3744},
note    = { {doi}: 10.1109/LRA.2020.2979655}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Cutugno20 -->
    <li ><p>
    M.&nbsp;Cutugno, U.&nbsp;Robustelli and G.&nbsp;Pugliano
    <br><b>Low-Cost GNSS Software Receiver Performance Assessment</b><br>
<i>Geosciences</i>, Vol. 10, No. 2, pp. 79, Feb. 2020.
    <br />
    <a href="javascript:toggleBibtex('Cutugno20')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.mdpi.com/2076-3263/10/2/79" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.3390/geosciences10020079" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Cutugno20" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Cutugno20,
author  = {M.~Cutugno and U.~Robustelli and G.~Pugliano},
title   = {Low-Cost {GNSS} Software Receiver Performance Assessment},
journal = {Geosciences},
year    = {2020},
month   = {Feb.},
volume  = {10},
number  = {2},
pages   = {79},
note    = { {doi}: 10.3390/geosciences10020079}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Miralles19 -->
    <li ><p>
    D.&nbsp;Miralles and D.&nbsp;M.&nbsp;Akos
    <br><b>A SIMD intrinsic correlator library for GNSS software receivers</b><br>
<i>GPS Solutions</i>, Vol. 23, No. 3, pp. 72, May 2019.
    <br />
    <a href="javascript:toggleBibtex('Miralles19')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://link.springer.com/article/10.1007/s10291-019-0865-8" >Online</a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.1007/s10291-019-0865-8" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Miralles19" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Miralles19,
author  = {D.~Miralles and D.~M.~Akos},
title   = {A {SIMD} intrinsic correlator library for {GNSS} software receivers},
journal = {GPS Solutions},
year    = {2019},
month   = {May},
volume  = {23},
number  = {3},
pages   = {72},
note    = { {doi}: 10.1007/s10291-019-0865-8}
}</pre>
    </div>
    </li>
</ul>

<ul class="biblist">
    <!-- Item: Schmidt18 -->
    <li ><p>
    E.&nbsp;Schmidt, D.&nbsp;Akopian and D.&nbsp;J.&nbsp;Pack
    <br><b>Development of a Real-Time Software-Defined GPS Receiver in a LabVIEW-Based Instrumentation Environment</b><br>
<i>IEEE Transactions on Instrumentation and Measurement</i>, Vol. 67, No. 9, pp.&nbsp;2082-2096, Sept.&nbsp;2018.
    <br />
    <a href="javascript:toggleBibtex('Schmidt18')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/8319903/" >Online</a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.1109/TIM.2018.2811446" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Schmidt18" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Schmidt18,
author  = {E.~Schmidt, D.~Akopian and D.~J.~Pack},
title   = {Development of a Real-Time Software-Defined {GPS} Receiver in a {L}ab{VIEW}-Based Instrumentation Environment},
journal = {IEEE Transactions on Instrumentation and Measurement},
year    = {2018},
month   = {Sept.},
volume  = {67},
number  = {9},
pages   = {2082--2096},
note    = { {doi}: 10.1109/TIM.2018.2811446}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Fernandez18 -->
    <li ><p>
    C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Vil&agrave;-Valls, J.&nbsp;Arribas and A.&nbsp;Ramos
    <br><b>Continuous Reproducibility in GNSS Signal Processing</b><br>
<i>IEEE Access</i>, Vol. 6, No. 1, pp. 20451-20463, Apr. 2018.
    <br />
    <a href="javascript:toggleBibtex('Fernandez18')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/8331069/" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/ACCESS.2018.2822835" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Fernandez18" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Fernandez18,
author  = {C.~{Fern\'{a}ndez--Prades} and J.~{Vil\`{a}--Valls} and J.~Arribas and A.~Ramos},
title   = {Continuous Reproducibility in {GNSS} Signal Processing},
journal = {IEEE Access},
year    = {2018},
month   = {Apr.},
volume  = {6},
number  = {1},
pages   = {20451--20463},
note    = { {doi}: 10.1109/ACCESS.2018.2822835}
}</pre>
    </div>
    </li>
</ul>

<ul class="biblist">
    <!-- Item: Curran18 -->
    <li ><p>
    J.&nbsp;T.&nbsp;Curran, C.&nbsp;Fern&aacute;ndez-Prades, A.&nbsp;Morrison and M.&nbsp;Bavaro
    <br><b>Innovation: The continued evolution of the GNSS software-defined radio</b><br>
<i>GPS World</i>, Vol. 29, No. 1, pp. 43-49, Jan. 2018.
    <br />
    <a href="javascript:toggleBibtex('Curran18')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.gpsworld.com/innovation-the-continued-evolution-of-the-gnss-software-defined-radio/" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Curran18" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Curran18,
author  = {J.~T.~Curran and C.~{Fern\'{a}ndez--Prades} and A.~Morrison and M.~Bavaro},
title   = {Innovation: {T}he continued evolution of the {GNSS} software-defined radio},
journal = {GPS World},
year    = {2018},
volume  = {29},
number  = {1},
month   = {Jan.},
pages   = {43--49}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Lestarquit16 -->
    <li ><p>
    L.&nbsp;Lestarquit, M.&nbsp;Peyrezabes, J.&nbsp;Darrozes, E.&nbsp;Motte, N.&nbsp;Roussel, G.&nbsp;Wautelet, F.&nbsp;Frappart, G.&nbsp;Ramillien, R.&nbsp;Biancale and M.&nbsp;Zribi
    <br><b>Reflectometry With an Open-Source Software GNSS Receiver: Use Case With Carrier Phase Altimetry</b><br>
<i>IEEE Journal of Selected Topics in Applied Earth Observations and Remote Sensing</i>, Vol. 9, No. 10, pp. 4843-4853, Oct. 2016.
    <br />
    <a href="javascript:toggleBibtex('Lestarquit16')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/7501832/" >Online</a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/JSTARS.2016.2568742" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Lestarquit16" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Lestarquit16,
author  = {L.~Lestarquit and M.~Peyrezabes and J.~Darrozes and E.~Motte and N.~Roussel and G.~Wautelet and F.~Frappart and G.~Ramillien and R.~Biancale and M.~Zribi},
title   = {Reflectometry With an Open-Source Software {GNSS} Receiver: {U}se Case With Carrier Phase Altimetry},
journal = {IEEE Journal of Selected Topics in Applied Earth Observations and Remote Sensing},
year    = {2016},
pages   = {4843--4853},
volume  = {9},
number  = {10},
month   = {Oct.},
note    = { {doi}: 10.1109/JSTARS.2016.2568742}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Fernandez16 -->
    <li ><p>
    C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Arribas and P.&nbsp;Closas
    <br><b>Robust GNSS Receivers by Array Signal Processing: Theory and Implementation</b><br>
<i>Proceedings of the IEEE</i>, Vol. 104, No. 6, pp. 1207-1220, June&nbsp;2016.
    <br />
    <a href="javascript:toggleBibtex('Fernandez16')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/7444116/" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/JPROC.2016.2532963" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Fernandez16" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Fernandez16,
author  = {C.~{Fern\'{a}ndez--Prades} and J.~Arribas and P.~Closas},
title   = {Robust {GNSS} Receivers by Array Signal Processing: {T}heory and Implementation},
journal = {Proceedings of the IEEE},
year    = {2016},
pages   = {1207--1220},
volume  = {104},
number  = {6},
month   = {June},
note    = { {doi}: 10.1109/JPROC.2016.2532963}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Arribas13 -->
    <li ><p>
    J.&nbsp;Arribas, C.&nbsp;Fern&aacute;ndez-Prades and P.&nbsp;Closas
    <br><b>Multi-antenna Techniques for Interference Mitigation in GNSS Signal Acquisition</b><br>
<i>EURASIP Journal on Advances in Signal Processing</i>, Vol. 2013, No. 143, Sept.&nbsp;2013.
    <br />
    <a href="javascript:toggleBibtex('Arribas13')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://asp-eurasipjournals.springeropen.com/articles/10.1186/1687-6180-2013-143" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1186/1687-6180-2013-143" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Arribas13" class="bibtex noshow" style="color: #111111">
    <pre>@article{ Arribas13,
author  = {J.~Arribas and C.~{Fern\'{a}ndez--Prades} and P.~Closas},
title   = {Multi-antenna Techniques for Interference Mitigation in {GNSS} Signal Acquisition},
journal = {EURASIP Journal on Advances in Signal Processing},
year    = {2013},
volume  = {2013},
number  = {143},
month   = {Sept.},
note     = { {doi}: 10.1186/1687-6180-2013-143}
}</pre>
    </div>
    </li>
</ul>



<h3 style="margin-bottom:0px;padding-top:10px;">Articles and Presentations in International Conferences</h3>

<ul class="biblist">
    <!-- Item: Akos22 -->
    <li ><p>
    D.&nbsp;Akos, J.&nbsp;Arribas, M.&nbsp;Z.&nbsp;H.&nbsp;Bhuiyan, P.&nbsp;Closas, F.&nbsp;Dovis, I.&nbsp;Fern&aacute;ndez-Hern&aacute;ndez, C.&nbsp;Fern&aacute;ndez-Prades, S.&nbsp;Gunawardena, T.&nbsp;Humphreys, Z.&nbsp;Kassas, J.&nbsp;Salcedo, M.&nbsp;Nicola, T.&nbsp;Pany, M.&nbsp;Psiaki, A.&nbsp;R&#252;gamer, Y.-J.&nbsp;Song, and J.-H.&nbsp;Won
    <br><b>GNSS software defined radio: History, current developments, and standardization efforts</b><br>
<i>Proceedings of the 35th International Technical Meeting of the Satellite Division of The Institute
of Navigation (ION GNSS+ 2022)</i>,
Denver, Colorado, Sep. 2022, pp. 3180–3209.
    <br />
    <a href="javascript:toggleBibtex('Akos22')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=18434" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2022.18434" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Akos22" class="bibtex noshow" style="color: #111111">
<pre>@inproceedings{ Akos22,
author = {D.~Akos and J.~Arribas and {M.~Z.~H.}~Ometov and P.~Closas and F.~Dovis and I.~{Fern\'{a}ndez--Hern\'{a}ndez} and C.~{Fern\'{a}ndez--Prades} and S.~Gunawardena and T.~Humphreys and Z.~Kassas and J.~Salcedo and M.~Nicola and T.~Pany and M.~Psiaki and A.~R\"{u}gamer and Y.-J.~Song and J.-H.~Won},
booktitle = {Proc. 35th Int. Tech. Meeting Sat. Div. Inst. Navig.},
title = { {GNSS} software defined radio: {H}istory, current developments, and standardization efforts},
month = {Sep.},
address = {Denver, CO},
year = {2022},
pages = {3180--3209},
note = {doi: 10.33012/2022.18434}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Grenier22 -->
    <li ><p>
    A. Grenier, E. Simona Lohan, A. Ometov and J. Nurmi
    <br><b>An Open-Source Software-Defined Receiver for GNSS Algorithms Benchmarking</b><br>
<i>Proceedings of the 14th International Congress on Ultra Modern Telecommunications and Control Systems and Workshops (ICUMT)</i>,
Valencia, Spain, Oct. 2022, pp. 31-38.
    <br />
    <a href="javascript:toggleBibtex('Grenier22')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/9943489" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/9943489" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Grenier22" class="bibtex noshow" style="color: #111111">
<pre>@inproceedings{ Grenier22,
author = {A.~Grenier and E.~{Simona~Lohan} and A.~Ometov and J.~Nurmi},
booktitle = {14th International Congress on Ultra Modern Telecommunications and Control Systems and Workshops (ICUMT)},
title = {An Open--Source Software--Defined Receiver for {GNSS} Algorithms Benchmarking},
month = {Oct.},
address = {Valencia, Spain},
year = {2022},
pages = {31-38},
note = {doi: 10.1109/ICUMT57764.2022.9943489}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Deng20 -->
    <li ><p>
    Y. Deng and B. Lian
    <br><b>Design and Implementation of a Real Time BDS Scalar-Vector Tracking Receiver</b><br>
<i>Proceedings of the China Satellite Navigation Conference</i>,
Vol. III, Chengdu, China, Nov. 2020, pp. 276-287.
    <br />
    <a href="javascript:toggleBibtex('Deng20')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://link.springer.com/chapter/10.1007/978-981-15-3715-8_26" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.1007/978-981-15-3715-8" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Deng20" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Deng20,
author  = {Y.~Deng and B.~Lian},
title   = {Design and Implementation of a Real Time {BDS} Scalar-Vector Tracking Receiver},
booktitle = {Proc. China Satellite Navigation Conference},
volume = {3},
year    = {2020},
address = {Chengdu, China},
month   = {Nov.},
pages   = {276--287},
note    = {doi: 10.1007/978-981-15-3715-8}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Calvo20 -->
    <li ><p>
    R. Calvo Palomino, A. Bhattacharya, G. Bovet, and D. Giustiniano
    <br><b>LSTM-based GNSS Spoofing Detection Using Low-cost Spectrum Sensors</b><br>
<i>Proceedings of the 21st IEEE International Symposium on a World of Wireless, Mobile and Multimedia Networks</i>,
Cork, Ireland, 31 Aug. / 3 Sept., 2020. pp. 1-4.
    <br />
    <a href="javascript:toggleBibtex('Calvo20')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://faculty.iiitd.ac.in/~arani/assets/pdf/wowmom20.pdf" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Calvo20" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Calvo20,
author  = {R.~{Calvo~Palomino} and A.~Bhattacharya and G.~Bovet and D.~Giustiniano},
title   = { {LSTM}-based {GNSS} Spoofing Detection Using Low-cost Spectrum Sensors},
booktitle = {Proc. 21st IEEE Intl. Symp. on a World of Wireless, Mobile and Multimedia Networks},
year    = {2020},
address = {Cork, Ireland},
month   = {Aug./Sept.},
pages   = {1--4}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Parlin20 -->
    <li ><p>
    K. P&auml;rlin and T. Riihonen
    <br><b>Analog Mitigation of Frequency-Modulated Interference for Improved GNSS Reception</b><br>
<i>Proceedings of the International Conference on Localization and GNSS (ICL-GNSS)</i>,
Tampere, Finland, June&nbsp;2020, pp. 1-6.
    <br />
    <a href="javascript:toggleBibtex('Parlin20')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/9115518" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.1109/ICL-GNSS49876.2020.9115518" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Parlin20" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Parlin20,
author  = {K.~P\"{a}rlin and T.~Riihonen},
title   = {Analog Mitigation of Frequency-Modulated Interference for Improved {GNSS} Reception},
booktitle = {Proc. Intl. Conf. on Localization and GNSS},
year    = {2020},
address = {Tampere, Finland},
month   = {June},
pages   = {1--6},
note    = {doi: 10.1109/ICL-GNSS49876.2020.9115518}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Stenberg20 -->
    <li ><p>
    N. Stenberg, E. Axell, J. Rantakokko and G. Hendeby
    <br><b>GNSS Spoofing Mitigation Using Multiple Receivers</b><br>
<i>Proceedings of the IEEE/ION Position, Location and Navigation Symposium (PLANS)</i>,
Portland, Oregon, Apr. 2020, pp. 555-565.
    <br />
    <a href="javascript:toggleBibtex('Stenberg20')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/9109958" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.1109/PLANS46316.2020.9109958" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Stenberg20" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Stenberg20,
author  = {N.~Stenberg and E.~Axell and J.~Rantakokko and G.~Hendeby},
title   = { {GNSS} Spoofing Mitigation Using Multiple Receivers},
booktitle = {Proc. IEEE/ION Position, Location and Navigation Symposium},
year    = {2020},
address = {Portland, OR.},
month   = {Apr.},
pages   = {555--565},
note    = {doi: 10.1109/PLANS46316.2020.9109958}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Vega20 -->
    <li ><p>
    J.&nbsp;G.&nbsp;Vega&nbsp;Lea&ntilde;ez, J.&nbsp;I.&nbsp;Barber&iacute;a, S.&nbsp;Rodr&iacute;guez, J.&nbsp;G.&nbsp;D&iacute;az, R.&nbsp;L&oacute;pez&nbsp;La&nbsp;Valle, J.&nbsp;G.&nbsp;Garc&iacute;a and C.&nbsp;H.&nbsp;Muravchik
    <br><b>High-Speed Data Acquisition System for GNSS Applications</b><br>
<i>Proceedings of the Argentine Conference on Electronics (CAE)</i>,
Buenos Aires, Argentina, Feb. 2020, pp. 14-19.
    <br />
    <a href="javascript:toggleBibtex('Vega20')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/9046375" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.1109/CAE48787.2020.9046375" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Vega20" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Vega20,
author  = {J.~G.~{Vega~Lea{\~{n}}ez} and J.~I.~Barber\'{i}a and S.~Rodr\'{i}guez and J.~G.~D\'{i}az and R.~{L\'{o}pez~La~Valle} and J.~G.~Garc\'{i}a and C.~H.~Muravchik},
title   = {High-Speed Data Acquisition System for {GNSS} Applications},
booktitle = {Proc. Argentine Conference on Electronics},
year    = {2020},
address = {Buenos Aires, Argentina},
month   = {Feb.},
pages   = {14--19},
note    = {doi: 10.1109/CAE48787.2020.9046375}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Fernandez19a -->
    <li ><p>
    C.&nbsp;Fern&aacute;ndez-Prades
    <br><b>An Open Source Global Navigation Satellite Systems Software-Defined Receiver</b><br>
<i>Software Defined Radio Academy 2019</i>,
Friedrichshafen, Germany, June&nbsp;2019.
    <br />
    <span style="color: #52adc8">[</span><a href="https://youtu.be/4uHdu-iGsgI">Video</a><span style="color: #52adc8">]</span>
    </p>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Fernandez18b -->
    <li ><p>
    C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Arribas, M.&nbsp;Majoral, A.&nbsp;Ramos, J.&nbsp;Vil&agrave;-Valls and P.&nbsp;Giordano
    <br><b>A Software-Defined Spaceborne GNSS Receiver</b><br>
<i>Proceedings of the 9th ESA Workshop on Satellite Navigation Technologies and European Workshop on GNSS Signals and Signal Processing (NAVITEC)</i>,
Noordwijk, Netherlands, Dec. 2018, pp. 1-9.
    <br />
    <a href="javascript:toggleBibtex('Fernandez18b')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/8642697" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.1109/NAVITEC.2018.8642697" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Fernandez18b" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Fernandez18b,
author  = {C.~{Fern\'{a}ndez--Prades} and J.~Arribas and M.~Majoral and A.~Ramos and J.~{Vil\`{a}--Valls} and P.~Giordano},
title   = {A Software-Defined Spaceborne {GNSS} Receiver},
booktitle = {Proc. 9th ESA Workshop on Satellite Navigation Technologies and European Workshop on GNSS Signals and Signal Processing},
year    = {2018},
address = {Noordwijk, Netherlands},
month   = {Dec.},
pages   = {1--9},
note    = {doi: 10.1109/NAVITEC.2018.8642697}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Miralles18 -->
    <li ><p>
    D.&nbsp;Miralles and J.&nbsp;Iwamoto
    <br><b>Accelerating software radios by means of SIMD Instructions. A case for the AVX2 and AVX512 Extensions</b><br>
<i>Proceedings of the 8th Annual GNU Radio Conference (GRCon18)</i>,<br>
Las Vegas, NV, Sept.&nbsp;2018, pp. 1-7.
    <br />
    <a href="javascript:toggleBibtex('Miralles18')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://pubs.gnuradio.org/index.php/grcon/article/view/49/33" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://www.gnuradio.org/grcon/grcon18/presentations/Accelerating_software_radios_by_means_of_SIMD_Instructions._A_case_for_the_AVX2_and_AVX512_Extensions/8-Jessica_Iwamoto-SIMD.pdf">Slides</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://youtu.be/eDayurX_Rzg">Video</a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Miralles18" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Miralles18,
author  = {D.~Miralles and J.~Iwamoto},
title   = {Accelerating software radios by means of {SIMD} Instructions. {A} case for the {AVX2} and {AVX512} Extensions},
booktitle = {Proc. 8th Annual GNU Radio Conference},
year    = {2018},
address = {Las Vegas, NV},
month   = {Sept.},
pages   = {1--7}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item:Majoral18 -->
    <li ><p>
    M.&nbsp;Majoral, C.&nbsp;Fern&aacute;ndez-Prades and J.&nbsp;Arribas
    <br><b>Implementation of GNSS Receiver Hardware Accelerators in All&#8209;Programmable System&#8209;On&#8209;Chip Platforms</b><br>
<i>Proceedings of the 31st International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2018)</i>,
Miami, FL, Sept.&nbsp;2018, pp. 4215-4230.
    <br />
    <a href="javascript:toggleBibtex('Majoral18')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=16082" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2018.16082" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Majoral18" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Majoral18,
author  = {M.~Majoral and C.~{Fern\'{a}ndez--Prades} and J.~Arribas},
title   = {Implementation of {GNSS} Receiver Hardware Accelerators in All-programmable System-On-Chip Platforms},
booktitle = {Proc. 31st Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2018},
address = {Miami, FL},
month   = {Sept.},
pages   = {4215--4230},
note    = { {doi}: 10.33012/2018.16082}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: LaMountain18 -->
    <li ><p>
    G.&nbsp;LaMountain, J.&nbsp;Vil&agrave;-Valls and P.&nbsp;Closas
    <br><b>Bayesian Covariance Estimation for Kalman Filter based Digital Carrier Synchronization</b><br>
<i>Proceedings of the 31st International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2018)</i>,
Miami, FL, Sept.&nbsp;2018, pp. 3575-3586.
    <br />
    <a href="javascript:toggleBibtex('LaMountain18')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=15911" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2018.15911" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_LaMountain18" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ LaMountain18,
author  = {G.~{LaMountain} and J.~{Vil\`{a}--Valls} and P.~Closas},
title   = {Bayesian Covariance Estimation for {K}alman Filter based Digital Carrier Synchronization},
booktitle = {Proc. 31st Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2018},
address = {Miami, FL},
month   = {Sept.},
pages   = {3575--3586},
note    = { {doi}: 10.33012/2018.15911}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Odriscoll18 -->
    <li ><p>
    C.&nbsp;O'Driscoll and J.&nbsp;T.&nbsp;Curran
    <br><b>Carrier Phase Tracking Considerations for Commodity SDR Hardware</b><br>
<i>Proceedings of the 31st International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2018)</i>,
Miami, FL, Sept.&nbsp;2018, pp. 4182-4196.
    <br />
    <a href="javascript:toggleBibtex('Odriscoll18')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=16117" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2018.16117" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Odriscoll18" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Odriscoll18,
author  = {C.~{O'Driscoll} and J.~T.~Curran},
title   = {Carrier Phase Tracking Considerations for Commodity {SDR} Hardware},
booktitle = {Proc. 31st Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2018},
address = {Miami, FL},
month   = {Sept.},
pages   = {4182--4196},
note    = { {doi}: 10.33012/2018.16117}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: GNSS-SDR17a -->
    <li ><p>
    C.&nbsp;O'Driscoll and J.&nbsp;T.&nbsp;Curran
    <br><b>Codeless Processing of BOC(10,5) Signals</b><br>
<i>Proceedings of the 30th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2017)</i>,
Portland, OR, Sept.&nbsp;2017, pp. 3508-3518.
    <br />
    <a href="javascript:toggleBibtex('Odriscoll17')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=15384" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2017.15384" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Odriscoll17" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Odriscoll17,
author  = {C.~{O'Driscoll} and J.~T.~Curran},
title   = {Codeless Processing of {BOC}(10,5) Signals},
booktitle = {Proc. 30th Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2017},
address = {Portland, OR},
month   = {Sept.},
pages   = {3508--3518},
note    = { {doi}: 10.33012/2017.15384}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: GNSS-SDR17b -->
    <li ><p>
    J.&nbsp;Arribas, A.&nbsp;Ramos&nbsp;de&nbsp;Torres, C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Vil&agrave;-Valls and P.&nbsp;Closas
    <br><b>Air Traffic Radar Interference Event in the Galileo E6 Band: Detection, Analysis and Mitigation</b><br>
<i>Proceedings of the 30th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2017)</i>,
Portland, OR, Sept.&nbsp;2017, pp. 1204-1228.
    <br />
    <a href="javascript:toggleBibtex('Arribas17a')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=15301" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2017.15301" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://zenodo.org/records/1037280" >PDF <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Arribas17a" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Arribas17a,
author  = {J.~{Arribas} and A.~{Ramos~de~Torres} and C.~{Fern\'{a}ndez--Prades} and J.~{Vil\`{a}--Valls} and P.~Closas}
title   = {Air Traffic Radar Interference Event in the {G}alileo {E}6 Band: {D}etection, Analysis and Mitigation},
booktitle = {Proc. 30th Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2017},
address = {Portland, OR},
month   = {Sept.},
pages   = {1204--1228},
note    = { {doi}: 10.33012/2017.15301}
}</pre>
    </div>
    </li>
</ul>



<ul class="biblist">
    <!-- Item: GNSS-SDR17c -->
    <li ><p>
    C.&nbsp;Fern&aacute;ndez-Prades, C.&nbsp;Pomar, J.&nbsp;Arribas, J.M.&nbsp;F&agrave;brega, J.&nbsp;Vil&agrave;-Valls, M.&nbsp;Svaluto&nbsp;Moreolo, R.&nbsp;Casellas, R.&nbsp;Mart&iacute;nez, M.&nbsp;Navarro, F.J.&nbsp;V&iacute;lchez, R.&nbsp;Mu&ntilde;oz, R.&nbsp;Vilalta, L.&nbsp;Nadal and A.&nbsp;Mayoral
    <br><b>A Cloud Optical Access Network for Virtualized GNSS Receivers</b><br>
<i>Proceedings of the 30th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2017)</i>,
Portland, OR, Sept.&nbsp;2017, pp. 3796-3815.
    <br />
    <a href="javascript:toggleBibtex('Fernandez17a')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=15234" >Online</a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2017.15234" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://zenodo.org/records/1037906" >PDF <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://www.overleaf.com/articles/a-cloud-optical-access-network-for-virtualized-gnss-receivers/zhgrtpqstxrx" >Slides <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Fernandez17a" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Fernandez17a,
author  = {C.~{Fern\'{a}ndez--Prades} and C.~Pomar and J.~Arribas and J.M.~F\`{a}brega and J.~{Vil\`{a}--Valls} and M.~{Svaluto~Moreolo} and R.~Casellas and R.~Mart\'{i}nez and M.~Navarro and F.J.~V\'{i}lchez and R.~Mu{\~{n}}oz and R.~Vilalta and L.~Nadal and A.~Mayoral},
title   = {A Cloud Optical Access Network for Virtualized {GNSS} Receivers},
booktitle = {Proc. 30th Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2017},
address = {Portland, OR},
month   = {Sept.},
pages   = {3796--3815},
note    = { {doi}: 10.33012/2017.15234}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: GNSS-SDR16c -->
    <li ><p>
    C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Arribas and P.&nbsp;Closas
    <br><b>Assessment of Software-Defined GNSS Receivers</b><br>
<i>Proceedings of the 8th edition of NAVITEC</i>,
ESA/ESTEC, Noordwijk, The Netherlands, Dec. 14-16, 2016, pp. 1-9.
    <br />
    <a href="javascript:toggleBibtex('Fernandez16c')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://zenodo.org/records/266524" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/NAVITEC.2016.7931740" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Fernandez16c" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Fernandez16c,
author  = {C.~{Fern\'{a}ndez--Prades} and J.~Arribas and P.~Closas},
title   = {Assessment of Software-Defined {GNSS} Receivers},
booktitle = {Proc. 8th ed. of NAVITEC Conf.},
year    = {2016},
address = {ESA/ESTEC, Noordwijk, The Netherlands},
month   = {Dec.},
note     = { {doi}: 10.1109/NAVITEC.2016.7931740}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Lopez16 -->
    <li ><p>
    E. L&oacute;pez, J.&nbsp;Dom&iacute;nguez, B.&nbsp;Quijano, C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Arribas, M.&nbsp;Hern&aacute;ndez-Pajares, A.&nbsp;Garc&iacute;a-Rigo, M.&nbsp;Schmidt,  A.&nbsp;Goss, E.&nbsp;Spaltro, J.&nbsp;Grosso, M.&nbsp;Symeonidou, S.&nbsp;Fountas, Z.&nbsp;Tsiropoulos, F.&nbsp;Van&nbsp;Evert, P.&nbsp;Blok and D.&nbsp;Roma
    <br><b>Advanced Multi-Constellation EGNSS Augmentation and Monitoring Network (AUDITOR)</b><br>
<i>Proceedings of the Global Wireless Summit</i>,
Aarhus, Denmark, Nov.&nbsp;27&#8209;30,&nbsp;2016, pp. 1-6.
    <br />
    <a href="javascript:toggleBibtex('Lopez16')">[BibTeX]</a>
    </p>
    <div id="bib_Lopez16" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Lopez16,
author  = {E.~L\'{o}pez and J.~Dom\'{i}nguez and B.~Quijano and C.~{Fern\'{a}ndez--Prades} and J.~Arribas and M.~{Hern\'{a}ndez-Pajares} and A.~{Garc\'{i}a-Rigo} and M.~Schmidt and A.~Goss and E.~Spaltro and J.~Grosso and M.~Symeonidou and S.~Fountas and Z.~Tsiropoulos and F.~{Van~Evert} and P.~Blok and D.~Roma},
title   = {Advanced Multi-Constellation {EGNSS} Augmentation and Monitoring Network ({AUDITOR})},
booktitle = {Proc. Global Wireless Summit},
year    = {2016},
pages   = {1--6},
address = {Aarhus, Denmark},
month   = {Nov.}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: SPREE -->
    <li ><p>
    A.&nbsp;Ranganathan, H.&nbsp;&Oacute;lafsd&oacute;ttir and S.&nbsp;Capkun
    <br><b>SPREE: A Spoofing Resistant GPS Receiver</b><br>
<i>Proceedings of the 22nd Annual International Conference on Mobile Computing and Networking</i>,
New York, Oct. 3-7, 2016, pp. 348-360.
    <br />
    <a href="javascript:toggleBibtex('SPREE')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://aanjhan.com/assets/spree_arxiv.pdf" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_SPREE" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ SPREE,
author  = {A.~Ranganathan and H.~\'{O}lafsd\'{o}ttir and S.~Capkun},
title   = { {SPREE}: {A} Spoofing Resistant {GPS} Receiver},
booktitle = {Proc. 22nd Annual International Conference on Mobile Computing and Networking},
year    = {2016},
pages   = {348--360},
address = {New York, USA},
month   = {Oct.}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: GNSS-SDR16a -->
    <li ><p>
    C.&nbsp;O'Driscoll and J.&nbsp;T.&nbsp;Curran
    <br><b>Codeless Code Tracking of BOC Signals</b><br>
<i>Proceedings of the 29th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2016)</i>,
Portland, OR, Sept.&nbsp;2016, pp. 497-508.
    <br />
    <a href="javascript:toggleBibtex('Odriscoll16')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=14842" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2016.14842" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Odriscoll16" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Odriscoll16,
author  = {C.~{O'Driscoll} and J.~T.~Curran},
title   = {Codeless Code Tracking of {BOC} Signals},
booktitle = {Proc. 29th Int. Tech. Meeting Sat. Div. Inst. Navig.},
pages   = {497--508},
year    = {2016},
address = {Portland, OR},
month   = {Sept.},
note    = { {doi}: 10.33012/2016.14842}
}</pre>
    </div>
    </li>
</ul>

<ul class="biblist">
    <!-- Item: GNSS-SDR16b -->
    <li ><p>
    C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Arribas and P.&nbsp;Closas
    <br><b>Accelerating GNSS Software Receivers</b><br>
<i>Proceedings of the 29th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2016)</i>,
Portland, OR, Sept.&nbsp;2016, pp. 44-61.<br>
<i class="fas fa-fw fa-star"></i> Best Presentation Award (<i>Session A1: Advances in GNSS Software-defined Receivers</i>)
    <br />
    <a href="javascript:toggleBibtex('Fernandez16b')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://zenodo.org/records/266493" >Online  <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://doi.org/10.33012/2016.14576" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://www.overleaf.com/articles/accelerating-gnss-software-receivers/ywcwtdjwgnky" >Slides <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Fernandez16b" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Fernandez16b,
author  = {C.~{Fern\'{a}ndez--Prades} and J.~Arribas and P.~Closas},
title   = {Accelerating {GNSS} Software Receivers},
booktitle = {Proc. 29th Int. Tech. Meeting Sat. Div. Inst. Navig.},
pages   = {44--61},
year    = {2016},
address = {Portland, OR},
month   = {Sept.},
note    = { {doi}: 10.33012/2016.14576}
}</pre>
    </div>
    </li>
</ul>

<ul class="biblist">
    <!-- Item: GNSS-SDR15 -->
    <li ><p>
    J.&nbsp;Arribas, C.&nbsp;Fern&aacute;ndez-Prades and P.&nbsp;Closas
    <br><b>GESTALT: A Testbed for Experimentation and Validation of GNSS Software Receivers</b><br>
<i>Proceedings of the 28th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2015)</i>,
Tampa, Florida, Sept.&nbsp;2015, pp. 3222-3234.
    <br />
    <a href="javascript:toggleBibtex('GNSS-SDR15')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=13101" >Online</a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_GNSS-SDR15" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ GNSS-SDR15,
author  = {J.~Arribas and C.~{Fern\'{a}ndez--Prades} and P.~Closas},
title   = { {GESTALT}: {A} Testbed for Experimentation and Validation of {GNSS} Software Receivers},
booktitle = {Proc. 28th Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2015},
pages   = {3222--3234},
address = {Tampa, FL},
month   = {Sept.}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Branzanti15 -->
    <li ><p>
    M.&nbsp;Branzanti, J.&nbsp;Arribas, C.&nbsp;Fern&aacute;ndez-Prades and M.&nbsp;Crespi
    <br><b>Software Defined Receivers in GNSS scientific applications: variometric approach to exploit GNSS-SDR phase observations</b><br>
<i>Proceedings of the European Free and Open Source Software for Geospatial Conference (FOSS4G Europe)</i>,
Como, Italy, July 14-17, 2015, pp. 405-416.
    <br />
    <a href="javascript:toggleBibtex('Branzanti15')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://pdfs.semanticscholar.org/3143/1f0138610dc509cc04e1d24f56ba0a5878b6.pdf" >PDF</a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Branzanti15" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Branzanti15,
author  = {M.~{Branzanti} and J.~Arribas and C.~{Fern\'{a}ndez--Prades} and M.~Crespi},
title   = { Software Defined Receivers in {GNSS} scientific applications: variometric approach to exploit {GNSS-SDR} phase observations},
booktitle = {Proc. European Free and Open Source Software for Geospatial Conference},
year    = {2015},
address = {Como, Italy},
pages = {405--416},
month   = {July}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Martinez15 -->
    <li ><p>
    J.-M.&nbsp;Friedt
    <br><b>The power of cross-correlating: from GPS reception to passive RADAR using SDR</b><br>
<i>Presentation at Free and Open Source Software Developers' European Meeting (FOSDEM)</i>,
Brussels, Belgium, Jan./Feb.  2015.
    <br />
    <a href="javascript:toggleBibtex('Martinez15')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="http://jmfriedt.free.fr/efts_gps.pdf" >Slides</a><span style="color: #52adc8">]</span>
    <span style="color: #52adc8">[</span><a href="https://mirrors.dotsrc.org/fosdem/2015/devroom-software_defined_radio/xcorr.mp4" >Video</a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Martinez15" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Martinez15,
author  = {S.~{Mart\'{i}nez--Guti\'{e}rrez} and J.-M.~Friedt and G.~Cabodevila and P.~Y.~Bourgeois and E.~Rubiola},
title   = { Software Defined Radio for processing {GNSS} signals},
booktitle = {Free and Open Source Software Developers' European Meeting (FOSDEM)},
year    = {2015},
address = {Brussels, Belgium},
pages = {1--36},
month   = {Jan./Feb. }
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: Fabra14 -->
    <li ><p>
    F. Fabra, C.&nbsp;Calvin, A.&nbsp;Rius, J.&nbsp;Arribas and C.&nbsp;Fern&aacute;ndez-Prades
    <br><b>Processing Aspects of the Software PARIS Interferometric Receiver</b><br>
<i>Proceedings of the Workshop on Advanced RF Sensors and Remote Sensing Instruments (ARSI)</i>,
ESA-ESTEC, Noordwijk, The Netherlands, 2014, pp. 1-3.
    <br />
    <a href="javascript:toggleBibtex('Fabra14')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://zenodo.org/records/399181/files/Processing%20Aspects%20of%20the%20Software%20Paris%20Interferometric%20Receiver.pdf" >Online</a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_Fabra14" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ Fabra14,
author  = {F.~Fabra and C.~Calvin and A.~Rius and J.~Arribas and C.~{Fern\'{a}ndez--Prades}},
title   = {Processing Aspects of the Software {PARIS} Interferometric Receiver},
booktitle = {Proc. Workshop on Advanced RF Sensors and Remote Sensing Instruments (ARSI)},
year    = {2014},
pages   = {1--3},
address = {Noordwijk, The Netherlands},
month   = {Nov.}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
    <!-- Item: GNSS-SDR14b -->
    <li ><p>
    J.&nbsp;Arribas, M.&nbsp;Branzanti, C.&nbsp;Fern&aacute;ndez-Prades and P.&nbsp;Closas
    <br><b>Fastening GPS and Galileo Tight with a Software Receiver</b><br>
<i>Proceedings of the 27th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2014)</i>,
Tampa, Florida, Sept.&nbsp;2014, pp. 1383-1395.
    <br />
    <a href="javascript:toggleBibtex('GNSS-SDR14b')">[BibTeX]</a>
    <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=12428" >Online</a><span style="color: #52adc8">]</span>
    </p>
    <div id="bib_GNSS-SDR14b" class="bibtex noshow" style="color: #111111">
    <pre>@inproceedings{ GNSS-SDR14b,
author  = {J.~Arribas and M.~Branzanti and C.~{Fern\'{a}ndez--Prades} and P.~Closas},
title   = {Fastening {GPS} and {G}alileo Tight with a Software Receiver},
booktitle = {Proc. 27th Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2014},
pages   = {1383--1395},
address = {Tampa, FL},
month   = {Sept.}
}</pre>
    </div>
    </li>
</ul>


<ul class="biblist">
        <!-- Item: GNSS-SDR14a -->
        <li ><p>
        J.&nbsp;Arribas, P.&nbsp;Closas and C.&nbsp;Fern&aacute;ndez-Prades
        <br><b>Interference Mitigation in GNSS Receivers by Array Signal Processing: A Software Radio Approach</b><br>
        <i>Proceedings of the 8th IEEE Sensor Array and Multichannel Signal Processing Workshop</i>,
    A Coru&ntilde;a, Spain, June&nbsp;2014, pp. 121-124.
        <br />
        <a href="javascript:toggleBibtex('GNSS-SDR14a')">[BibTeX]</a>
        <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/6882355/" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://www.researchgate.net/publication/268195837_Interference_mitigation_in_GNSS_receivers_by_array_signal_processing_A_software_radio_approach" >PDF</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/SAM.2014.6882355" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
        </p>
        <div id="bib_GNSS-SDR14a" class="bibtex noshow" style="color: #111111">
        <pre>@inproceedings{ GNSS-SDR14a,
author  = {J.~Arribas and P.~Closas and C.~{Fern\'{a}ndez--Prades}},
title   = {Interference Mitigation in {GNSS} Receivers by Array Signal Processing: {A} Software Radio Approach},
booktitle = {Proc. of the 8th IEEE Sensor Array and Multichannel Signal Processing Workshop},
year    = {2014},
pages   = {121--124},
address = {A Coru\~{n}a, Spain},
month   = {June},
note    = { {doi}: 10.1109/SAM.2014.6882355}
}</pre>
        </div>
        </li>
</ul>


<ul class="biblist">
        <!-- Item: Falone14 -->
        <li ><p>
        R.&nbsp;Falone, C.&nbsp;Stallo, E.&nbsp;Gambi and S.&nbsp;Spinsante
        <br><b>SDR GNSS receivers: A comparative overview of different approaches</b><br>
        <i>Proceedings of the IEEE International Workshop on Metrology for Aerospace</i>,
    Benevento, Italy, May 29-30,&nbsp;2014.
        <br />
        <a href="javascript:toggleBibtex('Falone14')">[BibTeX]</a>
        <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/6865943/" >Online</a><span style="color: #52adc8">]</span>
        <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/MetroAeroSpace.2014.6865943" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
        </p>
        <div id="bib_Falone14" class="bibtex noshow" style="color: #111111">
        <pre>@inproceedings{ Falone14,
author  = {R.~Falone and C.~Stallo and E.~Gambi and S.~Spinsante},
title   = { {SDR} {GNSS} receivers: {A} comparative overview of different approaches},
booktitle = {Proc. of the IEEE International Workshop on Metrology for Aerospace},
year    = {2014},
address = {Benevento, Italy},
month   = {May},
note    = { {doi}: 10.1109/MetroAeroSpace.2014.6865943}
}</pre>
        </div>
        </li>
</ul>

<ul class="biblist">
        <!-- Item: Angeletti14 -->
        <li ><p>
        P.&nbsp;Angeletti, M.&nbsp;Lisi and P.&nbsp;Tognolatti
        <br><b>Software Defined Radio: A key technology for flexibility and reconfigurability in space applications</b><br>
        <i>Proceedings of the IEEE International Workshop on Metrology for Aerospace</i>,
    Benevento, Italy, May 29-30,&nbsp;2014.
        <br />
        <a href="javascript:toggleBibtex('Angeletti14')">[BibTeX]</a>
        <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/6865957/" >Online</a><span style="color: #52adc8">]</span>
        <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/MetroAeroSpace.2014.6865957" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
        </p>
        <div id="bib_Angeletti14" class="bibtex noshow" style="color: #111111">
        <pre>@inproceedings{ Angeletti14,
author  = {P.~Angeletti and M.~Lisi and P.~Tognolatti},
title   = { {S}oftware {D}efined {R}adio: {A} key technology for flexibility and reconfigurability in space applications},
booktitle = {Proc. of the IEEE International Workshop on Metrology for Aerospace},
year    = {2014},
address = {Benevento, Italy},
month   = {May},
note    = { {doi}: 10.1109/MetroAeroSpace.2014.6865957}
}</pre>
        </div>
        </li>
</ul>

<ul class="biblist">
        <!-- Item: GNSS-SDR13 -->
        <li ><p>
        C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Arribas and P.&nbsp;Closas
        <br><b>Turning a Television into a GNSS Receiver</b><br>
    <i>Proceedings of the 26th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS+ 2013)</i>,
    Nashville, TN, Sept.&nbsp;2013, pp. 1492-1507.
        <br />
        <a href="javascript:toggleBibtex('GNSS-SDR13')">[BibTeX]</a>
        <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=11334" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://www.researchgate.net/publication/257137427_Turning_a_Television_into_a_GNSS_Receiver" >PDF</a><span style="color: #52adc8">]</span>
        </p>
        <div id="bib_GNSS-SDR13" class="bibtex noshow" style="color: #111111">
        <pre>@inproceedings{ GNSS-SDR13,
author  = {C.~{Fern\'{a}ndez--Prades} and P.~Closas and J.~Arribas},
title   = {Turning a Television into a {GNSS} Receiver},
booktitle = {Proc. 26th Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2013},
pages   = {1492--1507},
address = {Nashville, TN},
month   = {Sept.}
}</pre>
        </div>
        </li>
</ul>

<ul class="biblist">
        <!-- Item: GNSS-SDR12 -->
        <li ><p>
        C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Arribas, L.&nbsp;Esteve, D.&nbsp;Pubill and P.&nbsp;Closas
        <br><b>An Open Source Galileo E1 Software Receiver</b><br>
        <i>Proceedings of the 6th ESA Workshop on Satellite Navigation Technologies</i>,
    ESTEC, Noordwijk, The Netherlands, Dec. 2012, pp. 1-8.
        <br />
        <a href="javascript:toggleBibtex('GNSS-SDR12')">[BibTeX]</a>
        <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/6423057/" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://www.researchgate.net/publication/233859838_An_Open_Source_Galileo_E1_Software_Receiver" >PDF</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/NAVITEC.2012.6423057" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
        </p>
        <div id="bib_GNSS-SDR12" class="bibtex noshow" style="color: #111111">
        <pre>@inproceedings{ GNSS-SDR12,
author  = {C.~{Fern\'{a}ndez--Prades} and J.~Arribas and L.~Esteve and D.~Pubill and P.~Closas},
title   = {An Open Source {G}alileo {E1} Software Receiver},
booktitle = {Proc. of the 6th ESA Workshop on Satellite Navigation Technologies (NAVITEC'2012)},
year    = {2012},
pages   = {1--8},
address = {ESTEC, Noordwijk, The Netherlands},
month   = {Dec.},
note    = { {doi}: 10.1109/NAVITEC.2012.6423057}
}</pre>
        </div>
        </li>
</ul>

<ul class="biblist">
        <!-- Item: Hassanieh12 -->
        <li ><p>
        H.&nbsp;Hassanieh, F.&nbsp;Adib, D.&nbsp;Katabi and P.&nbsp;Indyk
        <br><b>Faster GPS via the Sparse Fourier Transform</b><br>
        <i>Proceedings of the 18th Annual International Conference on Mobile Computing and Networking</i>,
    Istanbul, Turkey, Aug. 22-26, 2012, pp. 353-364.
        <br />
        <a href="javascript:toggleBibtex('Hassanieh12')">[BibTeX]</a>
        <span style="color: #52adc8">[</span><a href="http://haitham.ece.illinois.edu/Papers/QuickSync-mobicom.pdf" >PDF</a><span style="color: #52adc8">]</span>
        </p>
        <div id="bib_Hassanieh12" class="bibtex noshow" style="color: #111111">
        <pre>@inproceedings{ Hassanieh12,
author  = {H.~Hassanieh and F.~Adib and D.~Katabi and P.~Indyk},
title   = {Faster {GPS} via the Sparse {F}ourier Transform},
booktitle = {Proc. of the 18th Annual Intl. Conf. on Mobile Computing and Networking},
year    = {2012},
pages   = {353--364},
address = {Istanbul, Turkey},
month   = {Aug.},
note    = { {doi}: 10.1109/NAVITEC.2012.6423057}
}</pre>
        </div>
        </li>
</ul>

<ul class="biblist">
        <!-- Item: GNSS-SDR11 -->
        <li ><p>
        C.&nbsp;Fern&aacute;ndez-Prades, J.&nbsp;Arribas and P.&nbsp;Closas
        <br><b>GNSS-SDR: An Open Source Tool For Researchers and Developers</b><br>
    <i>Proceedings of the 24th International Technical Meeting of The Satellite Division of the Institute of Navigation (ION GNSS 2011)</i>,
    Portland, OR, Sept.&nbsp;2011, pp. 780-794.
        <br />
        <a href="javascript:toggleBibtex('GNSS-SDR11')">[BibTeX]</a>
        <span style="color: #52adc8">[</span><a href="https://www.ion.org/publications/abstract.cfm?articleID=9640" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://www.researchgate.net/publication/233380791_GNSS-SDR_An_open_source_tool_for_researchers_and_developers" >PDF</a><span style="color: #52adc8">]</span>
        </p>
        <div id="bib_GNSS-SDR11" class="bibtex noshow" style="color: #111111">
        <pre>@inproceedings{ GNSS-SDR11,
author  = {C.~{Fern\'{a}ndez--Prades} and J.~Arribas and P.~Closas and C.~Avil\'{e}s and L.~Esteve},
title   = { {GNSS-SDR}: An Open Source Tool For Researchers and Developers},
booktitle = {Proc. 24th Int. Tech. Meeting Sat. Div. Inst. Navig.},
year    = {2011},
pages   = {780--794},
address = {Portland, OR},
month   = {Sept.}
}</pre>
        </div>
        </li>
</ul>

<ul class="biblist">
        <!-- Item: GNSS-SDR10 -->
        <li ><p>
        C.&nbsp;Fern&aacute;ndez-Prades, C.&nbsp;Avil&eacute;s, L.&nbsp;Esteve, J.&nbsp;Arribas and P.&nbsp;Closas
        <br><b>Design patterns for GNSS software receivers</b><br>
        <i>Proceedings of the 5th ESA Workshop on Satellite Navigation Technologies</i>,
    ESTEC, Noordwijk, The Netherlands, Dec. 2010, pp. 1-8.
        <br />
        <a href="javascript:toggleBibtex('GNSS-SDR10')">[BibTeX]</a>
        <span style="color: #52adc8">[</span><a href="https://ieeexplore.ieee.org/document/5707981/" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://www.researchgate.net/publication/228624103_Design_Patterns_for_GNSS_Software_Receivers" >PDF</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.1109/NAVITEC.2010.5707981" ><i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
        </p>
        <div id="bib_GNSS-SDR10" class="bibtex noshow" style="color: #111111">
        <pre>@inproceedings{ GNSS-SDR10,
author  = {C.~{Fern\'{a}ndez--Prades} and C.~Avil\'{e}s and L.~Esteve and J.~Arribas and P.~Closas},
title   = {Design patterns for {GNSS} software receivers},
booktitle = {Proc. of the 5th ESA Workshop on Satellite Navigation Technologies (NAVITEC'2010)},
year    = {2010},
pages   = {1--8},
address = {ESTEC, Noordwijk, The Netherlands},
month   = {Dec.},
note     = { {doi}: 10.1109/NAVITEC.2010.5707981}
}</pre>
        </div>
        </li>
</ul>

<h3 style="margin-bottom:0px;padding-top:10px;">PhD Theses</h3>

<ul class="biblist">
<!-- Item: Ranganathan16 -->
<li ><p>
A. Ranganathan
<br><b>Physical-layer Techniques for Secure Proximity Verification & Localization</b><br>
<i>PhD Thesis, ETH Z&uuml;rich, Department of Computer Science, Z&uuml;rich, Switzerland, June&nbsp;2016.</i>
<br><a href="javascript:toggleBibtex('Ranganathan16')">[BibTeX]</a>
<span style="color: #52adc8">[</span><a href="https://www.research-collection.ethz.ch/handle/20.500.11850/117163" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://www.research-collection.ethz.ch/bitstream/handle/20.500.11850/117163/eth-49164-02.pdf" >PDF</a><span style="color: #52adc8">]</span>
<span style="color: #52adc8">[</span><a href="https://dx.doi.org/10.3929/ethz-a-010659030" >
<i class="ai ai-doi"> </i></a><span style="color: #52adc8">]</span>
</p>
<div id="bib_Ranganathan16" class="bibtex noshow" style="color: #111111">
<pre>@phdthesis{ Ranganathan16,
author = {A.~Ranganathan},
title = {Physical-layer Techniques for Secure Proximity Verification \& Localization},
school = {ETH Z\"{u}rich, Department of Computer Science},
year = {2016},
address = {Z\"{u}rich, Switzerland},
month = {June}
}</pre>
</div>
</li>
</ul>


<ul class="biblist">
<!-- Item: Hassanieh16 -->
<li ><p>
H. Al Hassanieh
<br><b>The Sparse Fourier Transform: Theory & Practice</b><br>
<i>PhD Thesis, Massachusetts Institute of Technology, Department of Electrical Engineering and Computer Science, Cambridge, Massachusetts, Feb. 2016.</i>
<br><a href="javascript:toggleBibtex('Hassanieh16')">[BibTeX]</a>
<span style="color: #52adc8">[</span><a href="https://dspace.mit.edu/handle/1721.1/103715" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="http://haitham.ece.illinois.edu/Papers/thesis.pdf" >PDF</a><span style="color: #52adc8">]</span>
</p>
<div id="bib_Hassanieh16" class="bibtex noshow" style="color: #111111">
<pre>@phdthesis{ Hassanieh16,
author = {H.~{Al~Hassanieh}},
title = {The Sparse {F}ourier Transform: {T}heory \& {P}ractice},
school = {Massachusetts Institute of Technology, Department of Electrical Engineering and Computer Science},
year = {2016},
address = {Cambridge, MA},
month = {Feb.}
}</pre>
</div>
</li>
</ul>


<ul class="biblist">
<!-- Item: Arribas12 -->
<li ><p>
J.&nbsp;Arribas
<br><b>GNSS Array-based Acquisition: Theory and Implementation</b><br>
<i>PhD Thesis, Universitat Polit&egrave;cnica de Catalunya, Department of Signal Theory and Communications, Barcelona, Spain, June&nbsp;2012.</i>
<br><i class="fas fa-fw fa-star"></i> EURASIP Best PhD Thesis Award <a href="https://eurasip.org/best-phd-award/" >2015</a>
<br />
<a href="javascript:toggleBibtex('Arribas12')">[BibTeX]</a>
<span style="color: #52adc8">[</span><a href="https://theses.eurasip.org/theses/449/gnss-array-based-acquisition-theory-and/" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://theses.eurasip.org/media/theses/documents/arribas-javier-gnss-array-based-acquisition-theory-and-implementation.pdf" >PDF</a><span style="color: #52adc8">]</span>
</p>
<div id="bib_Arribas12" class="bibtex noshow" style="color: #111111">
<pre>@phdthesis{ Arribas12,
author = {J.~Arribas},
title = { {GNSS} Array-based Acquisition: {T}heory and Implementation },
school = {Universitat Polit\`{e}cnica de Catalunya, Department of Signal Theory and Communications},
year = {2012},
address = {Barcelona, Spain},
month = {June}
}</pre>
</div>
</li>
</ul>


<h3 style="margin-bottom:0px;padding-top:10px;">MS Theses</h3>

<ul class="biblist">
<!-- Item:Lenhart22 -->
<li ><p>
M.&nbsp;Lenhart
<br><b>Distributed Relay/Replay Attacks on GNSS Signals</b><br>
<i>Degree project in Electrical Engineering, KTH Royal Institute of Technology,
Stockholm, Sweden, Mar.&nbsp;2022.</i>
<br />
<a href="javascript:toggleBibtex('Lenhart22')">[BibTeX]</a>
<span style="color: #52adc8">[</span><a href="https://www.diva-portal.org/smash/get/diva2:1698116/FULLTEXT01.pdf" >
PDF</a><span style="color: #52adc8">]</span>
</p>
<div id="bib_Lenhart22" class="bibtex noshow" style="color: #111111">
<pre>@mastersthesis{ Lenhart22,
author = {M.~Lenhart},
title = {Distributed Relay/Replay Attacks on {GNSS} Signals},
school = {KTH Royal Institute of Technology},
year = {2022},
address = {Stockholm, Sweden},
month = {March}
}</pre>
</div>
</li>
</ul>

<ul class="biblist">
<!-- Item: Hennigar14 -->
<li ><p>
A. Hennigar
<br><b>Analysis of Record and Playback Errors of GPS Signals Caused by the USRP</b><br>
<i>MS Thesis, Auburn University, Department of Electrical & Computer Engineering, Auburn, Alabama, Dec. 2014.</i>
<br />
<a href="javascript:toggleBibtex('Hennigar14')">[BibTeX]</a>
<span style="color: #52adc8">[</span><a href="https://etd.auburn.edu/handle/10415/4442" >Online</a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://etd.auburn.edu/bitstream/handle/10415/4442/Andrew_Hennigar_Thesis_Final_Draft.pdf" >
PDF</a><span style="color: #52adc8">]</span>
</p>
<div id="bib_Hennigar14" class="bibtex noshow" style="color: #111111">
<pre>@mastersthesis{ Hennigar14,
author = {A.~Hennigar},
title = {Analysis of Record and Playback Errors of {GPS} Signals Caused by the {USRP}},
school = {Auburn University, Department of Electrical \& Computer Engineering},
year = {2014},
address = {Auburn, AL},
month = {Dec.}
}</pre>
</div>
</li>
</ul>


<ul class="biblist">
<!-- Item: Esteve11 -->
<li ><p>
L.&nbsp;Esteve-Elfau
<br><b>Contribuci&oacute;n al dise&ntilde;o de GNSS-SDR. Un receptor GNSS de c&oacute;digo abierto</b> (<i>In Spanish</i>)<br>
<i>MS Thesis, Universitat Polit&egrave;cnica de Catalunya, Department of Signal Theory and Communications, Barcelona, Spain, July 2011.</i>
<br />
<a href="javascript:toggleBibtex('Esteve11')">[BibTeX]</a>
<span style="color: #52adc8">[</span><a href="https://upcommons.upc.edu/handle/2099.1/18997" >Online <i class="ai ai-open-access"> </i></a><span style="color: #52adc8">]</span> <span style="color: #52adc8">[</span><a href="https://upcommons.upc.edu/bitstream/handle/2099.1/18997/PFC_Luis_Esteve_Elfau.pdf" >
PDF</a><span style="color: #52adc8">]</span>
</p>
<div id="bib_Esteve11" class="bibtex noshow" style="color: #111111">
<pre>@mastersthesis{ Esteve11,
author = {L.~{Esteve-Elfau}},
title = { Contribuci\'{o}n al dise\~{n}o de {GNSS-SDR}. {U}n receptor {GNSS} de c\'{o}digo abierto },
school = {Universitat Polit\`{e}cnica de Catalunya, Department of Signal Theory and Communications},
year = {2011},
address = {Barcelona, Spain},
month = {July}
}</pre>
</div>
</li>
</ul>

<ul class="biblist">
<!-- Item: Aviles10 -->
<li ><p>
C.&nbsp;Avil&eacute;s
<br><b>Global Navigation Satellite Systems - Software Defined Radio (GNSS-SDR)</b><br>
<i>MS Thesis, Universitat Oberta de Catalunya, Faculty of Computer Science, Multimedia and Telecommunications, Barcelona, Spain, June&nbsp;2010.</i>
<br />
<a href="javascript:toggleBibtex('Aviles10')">[BibTeX]</a>
<span style="color: #52adc8">[</span><a href="https://www.youtube.com/watch?v=9ju_GKP613M">Video</a><span style="color: #52adc8">]</span>
</p>
<div id="bib_Aviles10" class="bibtex noshow" style="color: #111111">
<pre>@mastersthesis{ Aviles10,
author = {C.~Avil\'{e}s},
title = { {G}lobal {N}avigation {S}atellite {S}ystems - {S}oftware {D}efined {R}adio ({GNSS-SDR})},
school = {Universitat Oberta de Catalunya, Faculty of Computer Science, Multimedia and Telecommunications},
year = {2010},
address = {Barcelona, Spain},
month = {June}
}</pre>
</div>
</li>
</ul>
